%define name python-cryptography
%define srcname cryptography 
%define version 1.8.1 
%define release 1

%define is_python %(test -e /usr/bin/python && echo 1 || echo 0)
%if %{is_python}
%define python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")
%endif

%define _libdir64 %{_prefix}/lib64

%define is_python_64 %(test -e /usr/bin/python_64 && echo 1 || echo 0)
%if %{is_python_64}
%define python_sitelib64 %(python_64 -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")
%endif

Summary: A small but fast and easy to use stand-alone template engine written in pure python.
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{srcname}-%{version}.tar.gz
License: BSD
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}
BuildArch: noarch
Vendor: Armin Ronacher <armin.ronacher@active-4.com>
Url: http://jinja.pocoo.org/

BuildRequires: python, python-devel

BuildRequires:  python-setuptools
BuildRequires:  python-pyasn1 >= 0.1.8
BuildRequires:  python-six >= 1.4.1

Requires:       python-pyasn1 >= 0.1.8
Requires:       python-six >= 1.4.1


%description
cryptography is a package designed to expose cryptographic primitives and
recipes to Python developers.

%prep
%setup -q -n %{srcname}-%{version}

mkdir ../32bit
mv * ../32bit
mv ../32bit .
mkdir 64bit
cp -r 32bit/* 64bit/

%build
cd 64bit
python_64 setup.py build

cd ../32bit
python setup.py build

%install
[ -d "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

cd 64bit
python_64 setup.py install --skip-build --root ${RPM_BUILD_ROOT}

cd ../32bit
python setup.py install --skip-build --root ${RPM_BUILD_ROOT}

%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,system,-)
%doc 32bit/AUTHORS 32bit/CHANGES 32bit/LICENSE 32bit/PKG-INFO 32bit/README.rst 
%doc 32bit/docs/*.rst 
# %doc 32bit/examples
%{python_sitelib}/*

%changelog
* Tue May 9 2017 Ravi Hirekurabar <rhirekur@in.ibm.com> - 1.8.1-1
- - first version for AIX V6.1 and higher
